<?php 

/*
EditorTools文章采集发布助手
----------------------------------
本文件不需要做任何改动，以下参数说明为在“ET软件-发布配置”中修改参数时使用。

文件名
ETchk.php
phpcms2007sp4文章检查接口文件，请复制在phpcms网站根目录使用，为保密，请自行修改文件名

主要参数
title		主题标题
channelid	频道ID

如果需要进行用户名、密码校验，请自行填加相关代码。

ET发布配置-文章检查网址处，可以如下填写
http://您的网址/ETchk.php?title=<%title%>

—自在工坊 ET.Zzcity.net
----------------------------------
*/


define('IN_ADMIN', TRUE);
$rootdir = dirname(__FILE__);

require $rootdir.'/admin/include/global.func.php';

require $rootdir.'/include/common.inc.php';
require PHPCMS_ROOT.'/languages/'.$CONFIG['adminlanguage'].'/phpcms_admin.lang.php';
require_once PHPCMS_ROOT.'/include/version.inc.php';
require_once PHPCMS_ROOT.'/include/formselect.func.php';
require_once PHPCMS_ROOT.'/include/cache.func.php';
require_once PHPCMS_ROOT.'/include/post.func.php';


//**Et增加**
$channelid = isset($channelid) ? $channelid : 1; //文章频道


if(empty($title))
{
	echo('0');
}
else
{
	$result=$db->query("SELECT articleid,title FROM ".channel_table('article', $channelid)." WHERE status=3 AND title LIKE '%$title%'");
	$articles=$db->fetch_array($result);
	if(empty($articles))
	{
		echo('0');
	}
	else
	{
		echo('1');
	}
}



exit;



?>